Bug 124230 - FILESAVE PPTX: Custom Animations Sound Lost on Roundtrip
Summary: FILESAVE PPTX: Custom Animations Sound Lost on Roundtrip
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords: filter:pptx
Depends on:
Blocks: Object-Animations PPTX-Animations
  Show dependency treegraph
 
Reported: 2019-03-20 19:52 UTC by Luke
Modified: 2021-01-25 08:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2019-03-20 19:52:17 UTC
This is a spin off of Bug 123909. With that fixed, the PPTX custom animations sounds now play on time. However if you resave as PPTX, the sound is lost. 

Steps to Reproduce:
1. Open attachment 145684 [details]
2. Save as PPTX
3. Close and re-open

Expected Results:
1. Both the animation sound,"wind.wav" and the transition sound, Applause are played.

Actual results:
1. Only the applause transition is played

Note 1: This may be an import issue. If you instead open the PPT  attachment 145685 [details] and save as PPTX, the sound will play.

Note 2: The imported sound,"wind.wav" will not preview under 
Format->Animation->Effect Options->Preview
Comment 1 Luke 2019-03-20 22:46:19 UTC
One possible clue. When you export a native ODP file with animation sounds to PPTX, those sound are not lost. Also sounds are not lost with PPT exported to PPTX.
Comment 2 Mark Hung 2019-04-27 05:55:28 UTC
Reproducible with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: 1674c6964b585d944bcb34be1d937e7558a97453
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2019-04-30 13:04:28 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b593634d3cfbb2fc8522d99ce1c3f2a11445ea59%5E%21

tdf#124230 pptx: make exported animation sound work.

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Luke 2019-05-01 15:50:35 UTC
Mark,
Thanks for banging on this. It's better, but still not quite right. If you open the roundtripped file in PowerPoint, the animation sound, wind.wav, is no longer associated with the animation. If you play the slideshow the sound only plays once out of sync with the animation. If you repeat the animation with the arrow keys, the sound does not play. 

To see this:
1. In PP, start the roundtripped slide show
2. Press space, (sound should play)
3. Press back arrow
4. Go to 2. 


Native files exported to PPTX do not have this issue. Also in both Impress and PP, the animation preview is broken. So, could this be a FILEOPEN bug?